#!/bin/sh

# Should be run as ./rebuild.sh

(
    # CD to the directory that this file is in
    cd $(dirname "$0")

    if ! command -v sass &> /dev/null
    then
        echo "sass could not be found. Please install sass"
        exit
    fi

    sass -w assets/styles/main.scss assets/built/main.css
)
